#ifndef VAR_SET_WORD_H /* { */
#define VAR_SET_WORD_H

/*
 * Revision Control Information
 * var_set_word to take care of set of words as compared to set of bits
 * 1999/07/17 Malay
 *
 * /projects/hsis/CVS/utilities/var_set_word/var_set_word.h,v
 * rajeev
 * 1.3
 * 1995/08/08 22:41:47
 * var_set_word.h,v
 * Revision 1.3  1995/08/08 22:41:47  rajeev
 * Changes made by shazqadeer.420 as of 8/8/95
 *
 * Revision 1.1  1993/07/29  00:44:35  serdar
 * Imported from /projects/classes/sis. Makefile changed for use in
 *  /projects/hsis-util/hsis-util-1.0/common/src.
 *
 * Revision 1.3  1993/05/28  23:49:29  sis
 * Aesthetic changes to prototypes.
 *
 * Revision 1.2  1993/05/11  19:49:14  sis
 * Changes for ANSI C compatibility.
 *
 * Revision 1.1  1993/03/01  16:24:39  sis
 * Initial revision
 *
 * Revision 1.1  1993/03/01  16:23:57  sis
 * Initial revision
 *
 * Revision 1.3  1993/02/25  02:04:41  shiple
 *  Added file pointer argument to declaration of var_set_word_print.
 *
 * Revision 1.2  1993/02/24  23:35:16  shiple
 * Add VAR_SET_BYTE_SIZE macro. Fix newly introduced bug in
 * definition of VAR_SET_WORD_SIZE.
 *
 * Revision 1.1  1993/02/23  22:58:28  shiple
 * Initial revision
 *
 *
 */

#define var_set_word_t var_set_t

EXTERN var_set_word_t *var_set_word_new ARGS((int));
EXTERN var_set_word_t *var_set_word_copy ARGS((var_set_word_t *));
EXTERN void var_set_word_assign ARGS((var_set_word_t *, var_set_word_t *));
EXTERN void var_set_word_assign_elt ARGS((var_set_word_t *, int , unsigned));
EXTERN void var_set_word_free ARGS((var_set_word_t *));
EXTERN void var_set_word_clear ARGS((var_set_word_t *));
EXTERN void var_set_word_compress ARGS((unsigned[], var_set_word_t *, unsigned init_value));
#endif /* } */
